<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p style="font-size: 14px;">Вы не авторизованы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
			<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >назад</a>.</p>
		  </div>';
} else {

include_once ROOT_DIR . '/modules/panel_manager/section_advertising_manager.php';
?>

<div class="content_bar">
	<article class="postBox">

		<div class="mlink">
		<?
		$proverka = mysql_query( "SELECT * FROM tasks WHERE iduser = '" . $_SESSION['iduser'] . "' ORDER BY id DESC" );
		if ( mysql_num_rows( $proverka ) == 0 ) {
			?>
			<div class="infotext" style="text-align: center;">У Вас еще нет рекламной площадки<br /><a href="/addtasks" class="a_box" onclick="Page.Go(this.href); return false;">Разместить рекламу</a></div>
			<?
		} else {
			?>
			<script type="text/javascript">
			$(document).ready(function(){
				$('.task_good').tipTip({defaultPosition:'right'});
				$('.img_click').tipTip({defaultPosition:'right'});
				$('.img_view').tipTip({defaultPosition:'right'});
				$('.task_bad').tipTip({defaultPosition:'right'});
				$('.btn_stop').tipTip({defaultPosition:'right'});
				$('.btn_run').tipTip({defaultPosition:'right'});
				$('.title_con').tipTip({defaultPosition:'right'});
			});
    
			function up(tid) {
				$('body').Qbox({
					'title': 'Настройки автоматичиского подьема',
					'width': 500,
					'minHeight': 270,
					'fadespeed': 300,
					'url': 'modules/tasks/up.php',
					'param': 'id='+tid
				});
				return false;
			}
    
			function showbasket(tid) {
				$('body').Qbox({
					'title': 'Пополнение баланса рекламной площадки №' + tid,
					'width': 500,
					'minHeight': 200,
					'fadespeed': 300,
					'url': 'modules/tasks/addbasket.php',
					'param': 'id='+tid
				});
				return false;
			}
    
			function show_task_wait(e) {
				$('body').Qbox({
					'title': 'Отчеты на проверку к заданию №'+e,
					'width': 520,
					'height': 280,
					'fadespeed': 300,
					'url': '/modules/tasks/show_task_wait.php',
					'param': 'id='+e,
					'data': ''
				});
				return false;
			}
    
			function view_black_lick(e) {
				$('body').Qbox({
					'title': 'Черный список исполнителей',
					'width': 500,
					'height': 280,
					'fadespeed': 300,
					'url': '/modules/tasks/black_list.php',
					'param': 'id='+e,
					'data': ''
				});
				return false;
			}
    
			function show_task_vip(e) {
				$('body').Qbox({
					'title': 'Размещение задания в V.I.P',
					'width': 500,
					'minHeight': 205,
					'fadespeed': 300,
					'data': '<div style="padding: 5px; margin-bottom:18px"><div class="infotext">V.I.P задания показываются всегда выше всех остальных, а также размещаются в специальном V.I.P блоке в правой панели. Стоимость размещения 1 день - 1 <?=$config['valutaname']?></div><br><div style="text-align:center; margin-bottom:20px margin-top: 4px;">Укажите кол-во дней:&nbsp;&nbsp;&nbsp;<input style="width: 50px;" type="text" class="val" size="8" id="vipdays" /></div></div><div style="margin-left: 200px; margin-right: 200px;"><a href="#" onclick="add_task_vip('+e+', vipdays.value); return false;" class="btn_box">Заказать</a></div><div class="erroralert_modal" ></div>'
				});
				return false;
			}
    
			function add_task_vip (e, tdays) {
				var temp_click = $('.btn_box').attr('onclick');
				$('.btn_box').attr('onclick', '');
				$('.preloader').css({display:'block'});
				$.post('ajax.php?func=addbasket', {
					id: e,
					days: tdays,
					type: 'viptasks'
				}, function(data){
					if(data == 1) {
						box_close();
						reloadpage.leftprofiles();
					} else {
						$('.erroralert_modal').fadeIn().html(data);
						setTimeout(function() {
							$('.erroralert_modal').fadeOut().html('&nbsp;');
						}, 4000);
					}
				});
				return false;
			}
			</script>

			<div class="control_panel_icon">&nbsp;</div>
			<div class="infotext control_panel_text" >Здесь находяться Ваши рекламные площадки. Вы можете удалять, редактировать, пополнять баланс, просматривать статистику. Вы всегда сможете проконтролировать баланс, любой рекламной площадки.</div>
			<br>
				<?
				while ( $sql_row = mysql_fetch_array( $proverka ) ) {
					?>
					
					<?
					//проверка есть ли выполнения
					if ( $sql_row['t_wait'] > 0 ) {
						$btn_task_wait = '<span onclick="show_task_wait(' . $sql_row['id'] . '); return false;" class="task_wait"><b>?</b> Есть выполнения ' . $sql_row['t_wait'] . '</span>';
					} else {
						$btn_task_wait = '';
					}
					if ( $sql_row['paused'] == 0 ) {
						$btn_ps = '<a href="#" onclick="run' . $sql_row['id'] . '(' . $sql_row['id'] . ');return false;" class="btn_run" title="Нажмите что бы запустить задание">пуск</a>';
					} else {
						$btn_ps = '<a href="#" onclick="run' . $sql_row['id'] . '(' . $sql_row['id'] . ');return false;" class="btn_stop" title="Нажмите что бы остановить задание">стоп</a>';
					}
					$b1 = explode( '.', $sql_row['balance'] );
					?>
					<script type="text/javascript">
					function run<?=$sql_row['id']?>(tid) {
						$.post('ajax.php?func=runtasks', {
							id: tid
						}, function(data){
							if(data == 1) {
								Page.Go('mtasks');
							} else {
								$('.error<?=$sql_row['id']?>').fadeIn().html(data);
								setTimeout(function() {
									$('.error<?=$sql_row['id']?>').fadeOut().html('&nbsp;');
								}, 4000);
							}
						});
						return false;
					}
					</script>
					<table class="tabreclama">
					<tr>
						<td style="width: 50px; text-align: center;"><?=$btn_ps?></td>
						<td>
							<div style="position: relative;" class="tabpos">
								<a href="tasksview=<?=$sql_row['id']?>" target="_blank" class="a_control"><?=$sql_row['title']?></a><br />
						
								<div class="task_stroka">
									<span class="a_control">№<?=$sql_row['id']?></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<span title="Цена одного выполнения с учетом комисии системы" class="img_click">Цена: <?=moneyraund( $sql_row['price'] / $config['factor_tasks'], 2 )?>&nbsp;<?=$config['valutaname']?></span>&nbsp;&nbsp;&nbsp;
									<span title="Всего выполнено заданий" class="task_good"><?=$sql_row['t_goods']?></span>
									<span title="В процесе выполнения" class="img_view"><?=$sql_row['t_work']?></span>
									<span title="Отказано в оплате" class="task_bad"><?=$sql_row['t_bad']?></span>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?=$btn_task_wait?>
								</div>
						
								<div class="task_button">
									<a href="/tasksedit=<?=$sql_row['id']?>" class="control_edit" id="medit<?=$sql_row['id']?>" ><span class="con_edit">&nbsp;</span>Редактировать</a>
									<a href="#" onclick="adv.Remove_advertising(<?=$sql_row['id']?>, 'task');return false;" class="control_del" id="mdel<?=$sql_row['id']?>" ><span class="con_del">&nbsp;</span>Удалить</a>
									<a href="#" onclick="up(<?=$sql_row['id']?>);return false;" class="control_up" id="mup<?=$sql_row['id']?>" ><span class="con_up">&nbsp;</span>Поднять</a>
									<a href="#" class="control_vip" id="mtask_vip<?=$sql_row['id']?>" onclick="show_task_vip(<?=$sql_row['id']?>); return false"><span class="con_vip">&nbsp;</span>vip</a>
									<a href="#" class="control_ban" id="mblack_lick<?=$sql_row['id']?>" onclick="view_black_lick(<?=$sql_row['id']?>); return false"><span class="con_ban">&nbsp;</span>Черный список</a>
									
								</div>
								<div class="error<?=$sql_row['id']?> error" ></div>
							</div>
						</td>
						<td >
							<div class="control_bal_fix">
								<div class="control_bal_fix1" >
									<span class="reklam_balans" >&nbsp;</span>
									<div class="reklam_balans_fix" >
										<font title="Текущий баланс рекламной кампании" class="title_con"><?=$b1[0]?>.<span style="font-size:11px"><?=$b1[1]?></span></font>
									</div>
								</div>
								<a href="#" onclick="showbasket(<?=$sql_row['id']?>); return false;" class="add_pay_control" id="btn_link_money">пополнить</a>
							</div>
						</td>
						
					</tr>
					</table>
					<?
				}
				?>
    
			<?
		}
		?>
		</div>

	</article>
</div>
<? } ?>